<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: inline.mod.xsl,v 1.6 2001/07/04 22:45:57 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>


<xsl:template name="inline.charseq">
    <xsl:param name="content">
        <xsl:apply-templates/>
    </xsl:param>
    <xsl:copy-of select="$content"/>
</xsl:template>

<xsl:template name="inline.monoseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
    </xsl:param>
    <xsl:text> {\tt toto</xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text> }</xsl:text>
</xsl:template>

<xsl:template name="inline.boldseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
    </xsl:param>
    <xsl:text> {\bf </xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text> }</xsl:text>
</xsl:template>

<xsl:template name="inline.italicseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
    </xsl:param>
    <xsl:text>&#10;\emph on </xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text>&#10;\emph default </xsl:text>
</xsl:template>

<xsl:template name="inline.boldmonoseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
      </xsl:param>
    <xsl:text> {\bf {\tt </xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text> }}</xsl:text>
</xsl:template>

<xsl:template name="inline.italicmonoseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
      </xsl:param>
    <xsl:text> {\em {\tt </xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text> }}</xsl:text>
</xsl:template>

<xsl:template name="inline.superscriptseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
      </xsl:param>
    <xsl:text>$^{\textrm{{\tiny </xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text> }}}$</xsl:text>
</xsl:template>

<xsl:template name="inline.subscriptseq">
    <xsl:param name="content">
            <xsl:apply-templates/>
      </xsl:param>
    <xsl:text>$_{\textrm{{\tiny </xsl:text>
    <xsl:copy-of select="$content"/>
    <xsl:text> }}}$</xsl:text>
</xsl:template>






<!-- ==================================================================== -->
<!-- some special cases -->

<xsl:template match="author">
  <xsl:call-template name="person.name"/>
</xsl:template>

<xsl:template match="editor">
  <xsl:call-template name="person.name"/>
</xsl:template>

<xsl:template match="othercredit">
  <xsl:call-template name="person.name"/>
</xsl:template>

<xsl:template match="authorinitials">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="accel">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="action">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="application">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="exceptionname">
  <xsl:call-template name="inline.monoseq"/>
</xsl:template>

<xsl:template match="interfacename">
  <xsl:call-template name="inline.monoseq"/>
</xsl:template>

<xsl:template match="methodname">
  <xsl:call-template name="inline.monoseq"/>
</xsl:template>

<doc:template name="command" id="unsupported" xmlns="">
  <refpurpose>command tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>

<doc:template name="computeroutput" id="unsupported" xmlns="">
  <refpurpose>Console output</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>

<doc:template name="classname" id="unsupported" xmlns="">
  <refpurpose>Console output</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>

<doc:template name="prompt" id="unsupported" xmlns="">
  <refpurpose>prompt command</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>


<xsl:template match="command">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="computeroutput">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="classname">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="constant">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="prompt">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="database">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="errorcode">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="errorname">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="errortype">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<doc:template name="envar" id="unsupported" xmlns="">
  <refpurpose>envar tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>

<doc:template name="filename" id="unsupported" xmlns="">
  <refpurpose>filename tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>


<xsl:template match="envar">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="filename">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>



<xsl:template match="function" mode="emulate">
  <xsl:choose>
    <xsl:when test="$function.parens != '0'
    or parameter or function or replaceable"> <xsl:variable name="nodes" select="text()|*"/>
      <xsl:call-template name="inline.monoseq">
        <xsl:with-param name="content">
          <xsl:apply-templates select="$nodes[1]"/>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:text>(</xsl:text>
      <xsl:apply-templates select="$nodes[position()>1]"/>
      <xsl:text>)</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:call-template name="inline.monoseq"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="function/parameter" priority="2" mode="emulate">
  <xsl:call-template name="inline.italicmonoseq"/>
  <xsl:if test="following-sibling::*">
    <xsl:text>, </xsl:text>
  </xsl:if>
</xsl:template>


<doc:template name="function" id="unsupported" xmlns="">
  <refpurpose>filename tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
    <para>Translating functions as is can make the output LyX file difficult
    to read. Should it be replaced by only a displaying translation?</para>
  </refdescription>
</doc:template>

<xsl:template match="function">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="function/parameter">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="function/replaceable" priority="2">
  <xsl:call-template name="inline.italicmonoseq"/>
  <xsl:if test="following-sibling::*">
    <xsl:text>, </xsl:text>
  </xsl:if>
</xsl:template>

<xsl:template match="guibutton">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="guiicon">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="guilabel">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="guimenu">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="guimenuitem">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="guisubmenu">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="hardware">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="interface">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="interfacedefinition">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="keycap">
  <xsl:call-template name="inline.boldseq"/>
</xsl:template>

<xsl:template match="keycode">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="keysym">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="medialabel">
  <xsl:call-template name="inline.italicseq"/>
</xsl:template>

<xsl:template match="shortcut">
  <xsl:call-template name="inline.boldseq"/>
</xsl:template>

<xsl:template match="mousebutton">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<doc:template name="option" id="unsupported" xmlns="">
  <refpurpose>option tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>

<xsl:template match="option">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>


<doc:template name="parameter" id="unsupported" xmlns="">
  <refpurpose>parameter tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
    <para>This element is often combined with the function one.</para>
  </refdescription>
</doc:template>

<xsl:template match="parameter" priority="1">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="property">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>


<doc:template name="replaceable" id="unsupported" xmlns="">
  <refpurpose>replaceable tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
    <para>This element is often combined with the function or command tag.
    </para>
  </refdescription>
</doc:template>

<xsl:template match="replaceable" priority="1">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="returnvalue">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="structfield">
  <xsl:call-template name="inline.italicmonoseq"/>
</xsl:template>

<xsl:template match="structname">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="symbol">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="systemitem">
  <xsl:call-template name="inline.monoseq"/>
</xsl:template>

<xsl:template match="token">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="type">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>


<doc:template name="userinput" id="unsupported" xmlns="">
  <refpurpose>userinput tag</refpurpose>
  <refdescription>
    <para>This element is copied as ERT. Many of inlined elements are not
    supported in LyX.</para>
  </refdescription>
</doc:template>

<xsl:template match="userinput">
  <xsl:call-template name="unsupported.inline"/>
</xsl:template>

<xsl:template match="abbrev">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="acronym">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="citerefentry">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="citetitle">
  <xsl:call-template name="inline.italicseq"/>
</xsl:template>

<xsl:template match="emphasis">
  <xsl:call-template name="inline.italicseq"/>
</xsl:template>

<xsl:template match="foreignphrase">
  <xsl:call-template name="inline.italicseq"/>
</xsl:template>

<xsl:template match="markup">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="phrase">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="quote">
      <xsl:call-template name="gentext.nestedstartquote"/>
      <xsl:call-template name="inline.charseq"/>
      <xsl:call-template name="gentext.nestedendquote"/>
</xsl:template>

<xsl:template match="varname">
  <xsl:call-template name="inline.monoseq"/>
</xsl:template>

<xsl:template match="wordasword">
  <xsl:call-template name="inline.italicseq"/>
</xsl:template>

<xsl:template match="lineannotation">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="superscript">
  <xsl:call-template name="inline.superscriptseq"/>
</xsl:template>

<xsl:template match="subscript">
  <xsl:call-template name="inline.subscriptseq"/>
</xsl:template>

<xsl:template match="trademark">
  <xsl:call-template name="inline.charseq"/>
  <xsl:call-template name="dingbat">
    <xsl:with-param name="dingbat">trademark</xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template match="firstterm">
  <xsl:call-template name="inline.italicseq"/>
</xsl:template>

<xsl:template match="glossterm">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="keycombo">
  <xsl:variable name="action" select="@action"/>
  <xsl:variable name="joinchar">
    <xsl:choose>
      <xsl:when test="$action='seq'"><xsl:text> </xsl:text></xsl:when>
      <xsl:when test="$action='simul'">+</xsl:when>
      <xsl:when test="$action='press'">-</xsl:when>
      <xsl:when test="$action='click'">-</xsl:when>
      <xsl:when test="$action='double-click'">-</xsl:when>
      <xsl:when test="$action='other'"></xsl:when>
      <xsl:otherwise>-</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:for-each select="./*">
    <xsl:if test="position()>1"><xsl:value-of select="$joinchar"/></xsl:if>
    <xsl:apply-templates/>
  </xsl:for-each>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="menuchoice">
  <xsl:variable name="shortcut" select="./shortcut"/>
  <xsl:call-template name="process.menuchoice"/>
  <xsl:if test="$shortcut">
    <xsl:text> (</xsl:text>
    <xsl:apply-templates select="$shortcut"/>
    <xsl:text>)</xsl:text>
  </xsl:if>
</xsl:template>

<xsl:template name="process.menuchoice">
  <xsl:param name="nodelist" select="guibutton|guiicon|guilabel|guimenu|guimenuitem|guisubmenu|interface"/><!-- not(shortcut) -->
  <xsl:param name="count" select="1"/>

  <xsl:choose>
    <xsl:when test="$count>count($nodelist)"></xsl:when>
    <xsl:when test="$count=1">
      <xsl:apply-templates select="$nodelist[$count=position()]"/>
      <xsl:call-template name="process.menuchoice">
        <xsl:with-param name="nodelist" select="$nodelist"/>
        <xsl:with-param name="count" select="$count+1"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="node" select="$nodelist[$count=position()]"/>
      <xsl:choose>
        <xsl:when test="name($node)='guimenuitem'
                        or name($node)='guisubmenu'">
          <xsl:text>-&gt;</xsl:text>
        </xsl:when>
        <xsl:otherwise>+</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="$node"/>
      <xsl:call-template name="process.menuchoice">
        <xsl:with-param name="nodelist" select="$nodelist"/>
        <xsl:with-param name="count" select="$count+1"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="optional">
  <xsl:value-of select="$arg.choice.opt.open.str"/>
  <xsl:call-template name="inline.charseq"/>
  <xsl:value-of select="$arg.choice.opt.close.str"/>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="comment|remark">
  <xsl:text>\layout Comment&#10;</xsl:text>
  <xsl:call-template name="ragged.left.para"/>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="productname">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<xsl:template match="productnumber">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="pob|street|city|state|postcode|country|phone|fax|otheraddr">
  <xsl:call-template name="inline.charseq"/>
</xsl:template>

<!-- ==================================================================== -->

</xsl:stylesheet>

